Subject: IPP>REQ - A call for issues -Reply

From: Scott Isaacson <[email-masked]>
Date: Wed, 22 Jan 1997 15:27:19 -0700

My response to Roger's response to Peter's questions.

>>> <[email-masked]> 01/22/97 02:08pm >>>
> My response to Peter's questions:
>
> 1) Is the cost per page tied to the media it is printed on?
>    Do we define some standard for determining the cost
>    of a page.
>
> answer: I believe that we need to allow the people setting
> up and running IPP printers to decide how they want to
> charge for printing, and be able to show an end user
> what the cost per page is.  This will certainly depend on
> media, but may also depend on use of color, and other
> printer options.

SAI>  Do you envision a "cost-per-page" attribute that is set to some
SAI>  value like "$0.32" or some set of attributes that are queried and
SAI>  evaluated and some cost per page number is generated?
SAI>  If you envision the later then I say that this is beyond the scope
SAI>  of IPP

> 2) Is information that is as variable as media-ready stored
>      in the name service?
>
>
> answer: The name service needs to be able to tell a user that
> a printer is normally set up to print on various media, such as
> transparencies.  If a printer has three input trays and one of
> those trays is supposed to have tranparencies in it, then I should
> put this in the name-service to help users find a printer that prints
> transparencies.  However, the name service probably should not
> be updated everytime the transparency tray empties, or if a rogue
> user swaps the transparency tray for another media type.

SAI> I agree that the name service should NOT have relatively dynamic
SAI> attributes.  media-ready should not be in the directory.  However,
SAI> I don't agree that we should put what a tray is supposed to have
SAI> in the directory.  What is a standard letter tray supposed to have?
SAI> All media types that fit letter size???

> 5) How do you determine the notification methods supported
>     by the printer? What is the set of notification methods
>      for IPP?
>
> answer:  We need a "notification-methods" attribute.

<SAI> I disagree.  I thought that we decided the methods would be
<SAI> embedded in the URL scheme:  mailto:...,   http:....,   etc.

Scott
************************************************************
Scott A. Isaacson
Print Services Consulting Engineer
Novell Inc., 122 E 1700 S, Provo, UT 84606
V: (801) 861-7366, (800) 453-1267 x17366
F: (801) 861-4025, E: [email-masked]
W: http://www.novell.com
************************************************************